/*********************************************************************

 freo | 管理画面 (2012/07/07)

 Copyright(C) 2009-2012 freo.jp
 Bootstrap&markItUp!仕様カスタマイズ by cccabinet.org (2014/11/03)

*********************************************************************/

$(document).ready(function() {
	$("div#feed").show();
	$("a.external-link").attr("target","_blank");
	$("p.feed-msg").hide();

	//タグ入力
	$("#tag").jTagging($("#taglist"), ",");

	//現在日時設定
	$('#setDatetime').click(function() {
		var now = new Date();

		var year   = now.getFullYear();
		var month  = now.getMonth() + 1;
		var day    = now.getDate();
		var hour   = now.getHours();
		var minute = now.getMinutes();
		var second = now.getSeconds();

		if (month  < 10) { month  = '0' + month;  }
		if (day    < 10) { day    = '0' + day;    }
		if (hour   < 10) { hour   = '0' + hour;   }
		if (minute < 10) { minute = '0' + minute; }
		if (second < 10) { second = '0' + second; }

		$('#datetime_year').val(year);
		$('#datetime_month').val(month);
		$('#datetime_day').val(day);
		$('#datetime_hour').val(hour);
		$('#datetime_minute').val(minute);
		$('#datetime_second').val(second);
	});

	//メディア管理
	$("#media").tablesorter({
		headers: {
			2: { sorter: 'digit' },
			3: { sorter: false },
			4: { sorter: false }
		}
	});

	//Tablesorter
	$("#table").tablesorter(); 

	//iPreview
	$('input[type=file]').iPreview({
		css: {
			"margin": '5px 5px 5px 0',
			"display": 'inline-block',
			"vertical-align": 'top',
			maxWidth: '100px',
			maxHeight: 'auto'
		},
		hideOnPreview: '#placeholder'
	});

	//markItUp!
	$('#markitup').markItUp(mySettings);

	//公開終了
	if ($('#article_close_set').val() == '0') {
		$('#article_close').hide();
	}
	$('#article_close_set').change(function() {
		if ($(this).val() == '1') {
			$('#article_close').show();
		} else {
			$('#article_close').hide();
		}
	});

	//閲覧制限
	if ($('#article_restriction').val() == 'group') {
		$('#article_password').hide();
	} else if ($('#article_restriction').val() == 'password') {
		$('#article_group').hide();
	} else {
		$('#article_group, #article_password').hide();
	}
	$('#article_restriction').change(function() {
		if ($(this).val() == 'group') {
			$('#article_group').show();
			$('#article_password').hide();
		} else if ($(this).val() == 'password') {
			$('#article_group').hide();
			$('#article_password').show();
		} else {
			$('#article_group, #article_password').hide();
		}
	});

	//検証
	if ($('#option_type').val() != 'text') {
		$('#option_validate').hide();
	}
	$('#option_type').change(function() {
		if ($(this).val() == 'text') {
			$('#option_validate').show();
		} else {
			$('#option_validate').hide();
		}
	});

	//承認確認
	$('a.approve').click(function() {
		return confirm('本当に承認してもよろしいですか？');
	});
	$('form.approve').submit(function() {
		return confirm('本当に承認してもよろしいですか？');
	});

	//削除確認
	$('a.delete').click(function() {
		return confirm('本当に削除してもよろしいですか？');
	});
	$('form.delete').submit(function() {
		return confirm('本当に削除してもよろしいですか？');
	});

	//設定確認
	$('a.config').click(function() {
		return confirm('本当に設定してもよろしいですか？');
	});
	$('form.config').submit(function() {
		return confirm('本当に設定してもよろしいですか？');
	});

	//ColorBox
	var extensions = ['gif', 'GIF', 'jpeg', 'JPEG', 'jpg', 'JPG', 'jpe', 'JPE', 'png', 'PNG'];

	var target = '';
	$.each(extensions, function() {
		if (target) {
			target += ',';
		}
		target += 'a[href$=\'.' + this + '\']';
	});
	$(target).colorbox();

	$('a.colorbox').colorbox({ width:'80%', height:'80%', iframe:true });

	//サイドバー
	$('[data-toggle=offcanvas]').click(function() {
		$('.row-offcanvas').toggleClass('active');
	});

});
